// StatusView.cpp : implementation of the CStatusView class
//

#include "stdafx.h"
#include "Status.h"

#include "StatusDoc.h"
#include "StatusView.h"
#include ".\statusview.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CStatusView

IMPLEMENT_DYNCREATE(CStatusView, CView)

BEGIN_MESSAGE_MAP(CStatusView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_UPDATE_COMMAND_UI(ID_LEFTBUTTON, OnUpdateLeft)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
END_MESSAGE_MAP()

// CStatusView construction/destruction

CStatusView::CStatusView()
{
	// TODO: add construction code here

}

CStatusView::~CStatusView()
{
}

BOOL CStatusView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CStatusView drawing

void CStatusView::OnDraw(CDC* /*pDC*/)
{
	CStatusDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}


// CStatusView printing

BOOL CStatusView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CStatusView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CStatusView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CStatusView diagnostics

#ifdef _DEBUG
void CStatusView::AssertValid() const
{
	CView::AssertValid();
}

void CStatusView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CStatusDoc* CStatusView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CStatusDoc)));
	return (CStatusDoc*)m_pDocument;
}
#endif //_DEBUG


// CStatusView message handlers

void CStatusView::OnLButtonDown(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default
	CMainFrame* pFrame = (CMainFrame*) AfxGetApp()->m_pMainWnd;
	pFrame->m_wndStatusBar.SetPaneText(2,"Left Button Down");
}

void CStatusView::OnLButtonUp(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default
	CMainFrame* pFrame = (CMainFrame*) AfxGetApp()->m_pMainWnd;
	pFrame->m_wndStatusBar.SetPaneText(2,"");
}

void CStatusView::OnUpdateLeft(CCmdUI* pCmdUI) {
	pCmdUI->Enable(::GetKeyState(VK_LBUTTON) < 0);
}
